Roomability Guest API
  1. Paystack
Roomability Guest API
  • Introduction
  • Authentication
  • Errors
  • Booking Flow
  • Reservation
    • Add
      POST
    • Availability
      POST
    • Cancel
      POST
    • Booking Ref
      GET
  • Country
    • Get Countries List
      GET
  • State
    • Get State List
      GET
  • RoomType
    • Get Room Types
      GET
    • Get Room Detail
      GET
  • Guest
    • Detail
      GET
  • Term
    • Detail
      GET
  • Privacy
    • Detail
      GET
  • Payment Method
    • Active List
      GET
  • Paystack
    • Verify
      GET
    • Initialize
      POST
  • Hotel
    • Detail
      GET
    • Hotel Rule
      GET
  • PayGateway
    • Detail
  • CancelPolicy
    • Detail
  • Search List
    GET
  • Phone Code List
    GET
  1. Paystack

Verify

GET
https://guestapi.roomability.io/Paystack/Verify
Last modified:2026-03-13 11:00:16

Retrieve Privacy Detail#

This endpoint retrieves the privacy policy of an hotel.

Request#

Method: GET
Endpoint: {{baseUrl}}/Privacy/Detail

Response#

The response for this request is a JSON object with the following schema:
{
  "type": "object",
  "properties": {
    "detail": {
      "type": "string"
    },
    "errorCode": {
      "type": "integer"
    },
    "errorMessage": {
      "type": "string"
    }
  }
}

Request

Query Params

Header Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://guestapi.roomability.io/Paystack/Verify?reference=3dpygnlvok' \
--header 'X-API-Key: {{api-key}}' \
--header 'Content-Type: application/json'
Response Response Example
{
    "status": true,
    "message": "Verification successful",
    "data": {
        "id": 5335274280,
        "domain": "live",
        "status": "abandoned",
        "reference": "xyz",
        "amount": 200000,
        "channel": "card",
        "currency": "NGN"
    },
    "errorCode": -314,
    "errorMessage": "Transaction abandoned!"
}
Modified at 2026-03-13 11:00:16
Previous
Active List
Next
Initialize
Built with